Bug 609017 - subprocess leaves open fds on construction error
subprocess leaves open fds on construction error
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: python (Show other bugs)
5.5
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: Dave Malcolm
Petr Šplíchal
: ZStream
Depends On:
Blocks: 630663
  Show dependency treegraph
 
Reported: 2010-06-29 04:18 EDT by Moran Goldboim
Modified: 2016-05-31 21:39 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When starting a child process from the subprocess module in Python 2.4, the parent process could leak file descriptors if an error occurred. This update resolves the issue.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 18:10:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
http://svn.python.org/view?view=rev&revision=69621 (6.40 KB, patch)
2010-08-30 18:16 EDT, Dave Malcolm
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0027 normal SHIPPED_LIVE Low: python security, bug fix, and enhancement update 2011-01-13 05:58:29 EST

  None (edit)
Description Moran Goldboim 2010-06-29 04:18:54 EDT
Description of problem:
VDSM component which is using python-2.4.3-27.el5 had during it's run many OSErrors due to memory shortage, this reflected with subprocess module leaks filedescriptors on OSError as described in http://bugs.python.org/issue5179


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.python-2.4.3-27.el5
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 28 Eva Kopalova 2010-12-20 05:18:57 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When starting a child process from the subprocess module in Python 2.4, the parent process could leak file descriptors if an error occurred. This update resolves the issue.
Comment 30 errata-xmlrpc 2011-01-13 18:10:03 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0027.html

Note You need to log in before you can comment on or make changes to this bug.